WHATIS(1)

NAMN
whatis - visa en-rads-beskrivningar för manualsidor

SYNOPSIS
whatis [-dlv?V] [-r|-w] [-s lista] [-m system[,...]] [-M sökväg] [-L lokal] [-C fil] namn ...

BESKRIVNING
Varje manualsida har en kort beskrivning inuti sig. whatis genomsöker namnen på manualsidor och visar manualsidornas beskrivningar om något namn matchar. namn kan innehålla jokertecken (-w) eller vara ett reguljärt uttryck (-r). Om dessa flaggor används kan det vara nödvändigt att citera namn eller använda kontrollsekvenser (\) framför speciella tecken för att förhindra skalet från att tolka dem. index-databaser används under sökningen och uppdateras av programmet mandb. Beroende på din installation kan detta köras som ett periodiskt cron-jobb eller behöva köras manuellt efter att nya manualsidor har installerats. För att producera en whatis-textdatabas av gammalt snitt från den relativa index-databasen, använd kommandot: whatis -M man-sökväg -w '*' | sort > man-sökväg/whatis där man-sökväg är en hierarki av manualsidor så som /usr/man.

FLAGGOR

-d, --debug
    Skriver ut felsökningsinformation.

-v, --verbose
    Skriver ut utförliga varningsmeddelanden.

-r, --regex
    Tolka varje namn som ett reguljärt uttryck. Om ett namn matchar någon del av ett sidnamn kommer ett matchning att lyckas. Denna flagga får whatis att bli något långsammare på grund av databassökningarna.

-w, --wildcard
    Tolka varje namn som ett mönster som innehåller jokertecken i skalstil. För att en matchning ska lyckas måste ett expanderat namn matcha hela sidnamnet. Denna flagga får whatis att bli något långsammare på grund av databassökningarna.

-l, --long
    Justera inte utmatningen till terminalbredden. Normalt kommer utmatningar att trunkeras med avseende på terminalbredden för att undvika fula resultat från dåligt skrivna NAMN-avsnitt.

-s lista, --sections=lista, --section=lista
    Genomsök bara de angivna manualavsnitten. lista är en kolon- eller kommaseparerad lista av sektioner. Om en post i lista är ett enstaka avsnitt, till exempel ”3” så kommer den visade listan över beskrivningar att inkludera sidor i avsnitt ”3”, ”3perl”, ”3x”, och så vidare; men om en post i lista har en ändelse, till exempel ”3perl”, så kommer listan bara att inkludera sidor i den exakta delen av manualavsnittet.

-m system[,...], --systems=system[,...]
    Om detta system har tillgång till andra operativsystems namn på manualsidor kan de nås via denna flagga. För att genomsöka namnen på manualsidorna för NyttOS, använd flaggan -m NyttOS. Det system som anges kan vara en kombination av kommaavgränsade operativsystemsnamn. För att inkludera en sökning för det aktuella operativsystemets namn på manualsidor, inkludera systemnamnet man i argumentsträngen. Denna flagga kommer att åsidosätta miljövariabeln $SYSTEM.

-M sökväg, --manpath=sökväg
    Ange en alternativ mängd av kolonavgränsade hierarkier av manualsidor att genomsöka. Som standard använder whatis miljövariabeln $MANPATH, om den inte är tom eller ej satt, i vilket fall en lämplig manualsökväg bestäms baserad på din $PATH-miljövariabel. Denna flagga åsidosätter innehållet i $MANPATH.

-L lokal, --locale=lokal
    whatis kommer normalt att avgöra din aktuella lokal genom att anrop till C-funktionen setlocale(3) som kontrollerar diverse miljövariabler, som eventuellt $LC_MESSAGES och $LANG. För att tillfälligt åsidosätta det framtagna värdet, använd denna flagga för att ange en lokal-sträng direkt till whatis. Notera att det inte får någon effekt förrän sökningen efter sidor faktiskt påbörjas. Utmatning så som hjälpmeddelandet kommer alltid att visas enligt den först bestämda lokalen.

-C fil, --config-file=fil
    Använd denna användarkonfigurationsfil snarare än standard ~/.manpath.

-?, --help
    Skriv ut ett hjälpmeddelande och avsluta.

--usage
    Skriv ut ett kort användningsmeddelande och avsluta.

-V, --version
    Visa versionsinformation.

SLUTSTATUS

0   Framgångsrik programexekvering.

1   Användnings-, syntax- eller konfigurationsfilsfel.

2   Funktionsfel.

16  Inget hittades som matchade det kriterium som angivits.

MILJÖ

SYSTEM
    Om $SYSTEM är satt kommer den att ha samma effekt som om den hade angetts som argument till flaggan -m.

MANPATH
    Om $MANPATH är satt kommer dess värde att tolkas som den kolonavgränsade sökvägen för hierarkier av manualsidor som ska användas. Se avsnittet för SÖKVÄG i manpath(5) för standardbeteende och detaljer om hur denna miljövariabel hanteras.

MANWIDTH
    Om $MANWIDTH är satt kommer dess värde att användas som terminalbredden (se flaggan --long). Om den inte är satt kommer terminalbredden att räknas ut från värdet i $COLUMNS, och ioctl(2) om den finns tillgänglig, eller falla tillbaka på 80 tecken om allt annat misslyckas.

FILER

/usr/share/man/index.(bt|db|dir|pag)
    En traditionell global index-databascache.

/var/cache/man/index.(bt|db|dir|pag)
    En FHS-kompatibel global index-databascache.

/usr/share/man/.../whatis
    En traditionell whatis-textdatabas.

SE VIDARE
apropos(1), man(1), mandb(8)

UPPHOVSMAN
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

FEL
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db